Public Member Functions | Public Attributes | List of all members
FullWrtGraphInternal::State Struct Reference

Internal: the state of a FullWrtGraph. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::vector< std::shared_ptr< SideBar > > | m_sidebarList
| the sidebar list More...
std::multimap< int, FullWrtStruct::EntryPtr > | m_graphicMap
| zoneId -> graphic entry More...
std::vector< FullWrtStruct::Border > | m_borderList
| a list of border More...
int | m_numPages

## Detailed Description

Internal: the state of a FullWrtGraph.

## Constructor & Destructor Documentation

## ◆ State()

FullWrtGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_borderList

std::vector<FullWrtStruct::Border> FullWrtGraphInternal::State::m_borderList

a list of border

## ◆ m_graphicMap

std::multimap<int, FullWrtStruct::EntryPtr > FullWrtGraphInternal::State::m_graphicMap

zoneId -> graphic entry

## ◆ m_numPages

int FullWrtGraphInternal::State::m_numPages

## ◆ m_sidebarList

std::vector<std::shared_ptr<SideBar> > FullWrtGraphInternal::State::m_sidebarList

the sidebar list

## ◆ m_version

int FullWrtGraphInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- FullWrtGraph.cxx